Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226313 - Merge Review: ppp
Summary: Merge Review: ppp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 203542
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:42 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-22 15:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-22 15:27:26 UTC
jpopelka: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:42:45 UTC
Fedora Merge Review: ppp

http://cvs.fedora.redhat.com/viewcvs/devel/ppp/
Initial Owner: twoerner@redhat.com

Comment 1 Jiri Popelka 2009-11-25 16:23:05 UTC
formal review is here, see the notes below:

YES source files match upstream:
  183800762e266132218b204dfb428d29  ppp-2.4.4.tar.gz
YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros consistently.
YES dist tag is present.

YES build root is correct.
 BuildRoot in spec file has value: %{_tmppath}/%{name}-root
According to https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
the BuildRoot value MUST contain at least %{name}, %{version} and %{release}.
I'm giving YES because the RPM in Fedora 10 and above defines a default buildroot
so in Fedora 10 and above it is no longer necessary to define a buildroot tag. 

YES license field matches the actual license.
YES license is open source-compatible.

NO License text included in package.
 I didn't find license text

NO latest version is being packaged.
 ppp-2.4.5.tar.gz has been released 11/17/2009

NO BuildRequires are proper.
 Build requirements are proper but they are defined in BuildPrereq (should be BuildRequires)

YES compiler flags are appropriate.
YES %clean is present.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.

NO rpmlint is silent.
ppp.src: W: summary-ended-with-dot The PPP (Point-to-Point Protocol) daemon.
ppp.src: W: name-repeated-in-summary PPP
ppp.src: W: no-url-tag
ppp.src:33: E: buildprereq-use pam-devel, libpcap-devel
ppp.src:84: W: configure-without-libdir-spec
ppp.src:337: W: macro-in-%changelog %{_mandir}
ppp.src: W: mixed-use-of-spaces-and-tabs (spaces: line 51, tab: line 303)
ppp.x86_64: W: summary-ended-with-dot The PPP (Point-to-Point Protocol) daemon.
ppp.x86_64: W: name-repeated-in-summary PPP
ppp.x86_64: W: no-url-tag
ppp.x86_64: E: non-standard-dir-perm /var/log/ppp 0700
ppp.x86_64: E: non-standard-executable-perm /usr/sbin/pppoe-discovery 0555
ppp.x86_64: E: non-readable /etc/ppp/chap-secrets 0600
ppp.x86_64: E: non-readable /etc/ppp/pap-secrets 0600
ppp.x86_64: E: non-standard-executable-perm /usr/sbin/pppd 0555
ppp-debuginfo.x86_64: W: no-url-tag
ppp-devel.x86_64: W: no-url-tag
4 packages and 0 specfiles checked; 6 errors, 11 warnings.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.

NO file permissions are appropriate.
 see rpmlint errors

YES no scriptlets present.
YES code, not content.
YES documentation is small, so no -docs subpackage is necessary.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Comment 2 Jiri Popelka 2009-11-26 06:38:47 UTC
Sorry for the false positive about latest version not being packaged. There's ppp-2.4.5.tar.gz in devel branch and matches upstream.

Comment 3 Jiri Skala 2010-01-22 15:11:38 UTC
- license texts are in sourcese. no copying 
- some rpmlint complains fixed
- permissions restricted due to security
- latest version updated

Comment 4 Jiri Popelka 2010-01-22 15:27:26 UTC
Approved


Note You need to log in before you can comment on or make changes to this bug.